C
Code by Michael Kupferschmid
C
      SUBROUTINE DATIME(NOW)
C     This routine gets the current time, day, and date in the
C     format Tue 28 Sep 93 08:50:15
C
C     variable  meaning
C     --------  -------
C     FCHAR     the string returned by FDATE as separate characters
C     FDATE     system function returns "Tue Sep 28 08:50:15 1993"
C     F24       the string returned by FDATE as a 24-character word
C     NOW       the day-date-time string returned 
C
C     formal parameter
      CHARACTER*1 NOW(22)
C
C     local variables
      CHARACTER*24 F24,FDATE
      CHARACTER*1 FCHAR(24)
      EQUIVALENCE(F24,FCHAR(1))
C
C ------------------------------------------------------------------
C
C     get the information 
      F24=FDATE()
C
C     rearrange it into the desired output format
C     "Tue "
      NOW(1)=FCHAR(1)
      NOW(2)=FCHAR(2)
      NOW(3)=FCHAR(3)
      NOW(4)=' '
C
C     "28 "
      NOW(5)=FCHAR(9)
        IF(NOW(5).EQ.' ') NOW(5)='0'
      NOW(6)=FCHAR(10)
      NOW(7)=' '
C
C     "Sep "
      NOW(8)=FCHAR(5)
      NOW(9)=FCHAR(6)
      NOW(10)=FCHAR(7)
      NOW(11)=' '
C
C     "93 "
      NOW(12)=FCHAR(23)
        IF(NOW(12).EQ.' ') NOW(12)='0'
      NOW(13)=FCHAR(24)
      NOW(14)=' '
C
C     "08:"
      NOW(15)=FCHAR(12)
        IF(NOW(15).EQ.' ') NOW(15)='0'
      NOW(16)=FCHAR(13)
      NOW(17)=':'
C
C     "50:"
      NOW(18)=FCHAR(15)
        IF(NOW(18).EQ.' ') NOW(18)='0'
      NOW(19)=FCHAR(16)
      NOW(20)=':'
C
C     "15"
      NOW(21)=FCHAR(18)
        IF(NOW(21).EQ.' ') NOW(21)='0'
      NOW(22)=FCHAR(19)
      RETURN
      END
