C
Code by Michael Kupferschmid
C
      SUBROUTINE GETENG(MXWD, NWD,TRANS,ENGS)
C     Table English translations of Hebrew words in
C     Utility/hebrew.hsh by <transliteration>.
C
C     variable  meaning
C     --------  -------
C     ENG       an English translation
C     ENGS      the English translations
C     EXIT      system routine stops program with a return code
C     HOME      function prepends home directory to a pathname
C     MXWD      allowed number of words
C     NWD       number of words found
C     TRAN      the transliteration of a dictionary word
C     TRANS     transliterations of the dictionary words

      CHARACTER*80 ENG,ENGS(MXWD)
      CHARACTER*48 HOME
      CHARACTER*18 TRAN,TRANS(MXWD)
C
C ------------------------------------------------------------------
C
C     attach the hashed dictionary file
      OPEN(UNIT=1,FILE=HOME('/Utility/hebrew.hsh',19))
      NWD=0
C
C     process the file one line at a time
    4 READ(1,901,END=1) TRAN,ENG
  901 FORMAT(A18,T72,A80)
      NWD=NWD+1
      IF(NWD.GT.MXWD) THEN
         WRITE(0,902) MXWD
  902    FORMAT('more than ',I4,
     ;          ' lines in dictionary; increase MXWD')
         CLOSE(UNIT=1)
         CALL EXIT(0)
      ENDIF
      TRANS(NWD)=TRAN
      ENGS(NWD)=ENG
      GO TO 4
C
C     the end of the dictionary file has been reached
    1 CLOSE(UNIT=1)
      RETURN
      END
