C
Code by Michael Kupferschmid
C
      FUNCTION ICEIL(R)
C     This function returns the lowest integer not less than R.
C
C     variable  meaning
C     --------  -------
C     DFLOAT    Fortran function gives REAL*8 for INTEGER*4
C     IFIX      Fortran function gives INTEGER*4 for REAL*4
C     R         the value whose ceiling integer is to be found
C     SNGL      Fortran function gives REAL*4 for REAL*8
C
      REAL*8 R
C
C ------------------------------------------------------------------
C
      ICEIL=IFIX(SNGL(R))
      IF(DFLOAT(ICEIL).LT.R) ICEIL=ICEIL+1
      RETURN
      END
