C
Code by Michael Kupferschmid
C
      FUNCTION IFLOR(R)
C     This function returns the highest integer not greater than R.
C
C     variable  meaning
C     --------  -------
C     DFLOAT    Fortran function gives REAL*8 for INTEGER*4
C     IFIX      Fortran function gives INTEGER*4 for REAL*4
C     R         the value whose ceiling integer is to be found
C     SNGL      Fortran function gives REAL*4 for REAL*8
C
      REAL*8 R
C
C ------------------------------------------------------------------
C
      IFLOR=IFIX(SNGL(R))
      IF(DFLOAT(IFLOR).GT.R) IFLOR=IFLOR-1
      RETURN
      END
