C
Code by Michael Kupferschmid
C
      FUNCTION LEAPYR(YEAR)
C     This routine returns T if YEAR is a leap year, F if not.
C
C     variable  meaning
C     --------  -------
C     MOD       Fortran function for remainder of integer division
C     YEAR      the year to check
C
C     formal parameters
      LOGICAL*4 LEAPYR
      INTEGER*4 YEAR
C
C -----------------------------------------------------------------
C
C     years divisible by 4 are leap years... 
      IF(MOD(YEAR,4).NE.0) THEN
C        year is not divisible by 4
         LEAPYR=.FALSE. 
      ELSE
C        except for years divisible by 100... 
         IF(MOD(YEAR,100).NE.0) THEN
C           year is not divisible by 100 so it is a leap year
            LEAPYR=.TRUE.
         ELSE
C           unless also divisible by 400 
            IF(MOD(YEAR,400).NE.0) THEN
C              year is not divisible by 400 so not a leap year
               LEAPYR=.FALSE.
            ELSE
C              year is divisible by 400 so it is a leap year
               LEAPYR=.TRUE.
            ENDIF
         ENDIF
      ENDIF
      RETURN
      END
