C 
Code by Michael Kupferschmid
C 
      FUNCTION LOCASE(CHAR) 
C     This routine translates the character CHAR to lower case.
C 
C     variable  quantity 
C     --------  -------- 
C     CHAR      the character to be translated to lower case 
C     I         index on the characters of LOWER and UPPER 
C     LOWER     the lower case letters 
C     UPPER     the upper case letters 
C
      CHARACTER*1 LOCASE,CHAR
      CHARACTER*1 LOWER(26)/'a','b','c','d','e','f','g','h','i','j', 
     ;                      'k','l','m','n','o','p','q','r','s','t', 
     ;                      'u','v','w','x','y','z'/ 
      CHARACTER*1 UPPER(26)/'A','B','C','D','E','F','G','H','I','J', 
     ;                      'K','L','M','N','O','P','Q','R','S','T', 
     ;                      'U','V','W','X','Y','Z'/ 
C 
C ------------------------------------------------------------------
C 
C     search for the character 
      DO 1 I=1,26 
           IF(CHAR.NE.UPPER(I)) GO TO 1 
C          the character is in the upper case list; translate it
           LOCASE=LOWER(I) 
           RETURN 
    1 CONTINUE 
C     the character is not in the upper case list; return it
      LOCASE=CHAR 
      RETURN 
      END 
