C
Code by Michael Kupferschmid
C
      SUBROUTINE MESAGE(TEXT,LT)
C     This routine writes a message on standard error.
C
C     variable  meaning
C     --------  -------
C     K         index on the characters in TEXt
C     L         number of characters actually used from TEXT
C     LT        the length of the message text
C     MIN0      Fortran function gives smaller of INTEGER*4s
C     TEXT      the message to be written
C
      CHARACTER*1 TEXT(LT)
C
C ----------------------------------------------------------
C
C     check for a legal value of LT
      IF(LT.LT.0) RETURN
C
C     output the message on unit 0
      L=MIN0(LT,80)
      WRITE(0,901) (TEXT(K),K=1,L)
  901 FORMAT(80A1)
      RETURN
      END
