C
Code by Michael Kupferschmid
C
      SUBROUTINE TPVADD(A,B,L, SUM)
C     This routine adds the two-part values in A and B to form SUM. 
C
C     variable  meaning
C     --------  -------
C     A         the first value
C     B         the second value
C     L         number of small things in a big one
C     SUM       the sum two-part value A+B
C     TPVNML    routine normalizes a two-part value
C
      INTEGER*4 A(2),B(2),SUM(2)
C
C ------------------------------------------------------------------
C
C     normalize to guard against overflow in the smalls
      CALL TPVNML(A,L)
      CALL TPVNML(B,L) 
C
C     add the pieces
      SUM(1)=A(1)+B(1)
      SUM(2)=A(2)+B(2)
C
C     normalize the result 
      CALL TPVNML(SUM,L)
      RETURN
      END
