C
Code by Michael Kupferschmid
C
      SUBROUTINE UPSTR(STRING,LS)
C     This routine upper-cases STRING.
C
C     variable  meaning
C     --------  -------
C     K         index on the characters of STRING
C     L         index on the characters of the alphabet
C     LOWER     the lower-case letters
C     LS        length of STRING
C     STRING    the character string to be upper-cased
C     UPPER     the upper-case letters
C
      CHARACTER*1 STRING(LS)
      CHARACTER*1 LOWER(26)/'a','b','c','d','e','f','g','h','i',
     ;                      'j','k','l','m','n','o','p','q','r',
     ;                      's','t','u','v','w','x','y','z'/
      CHARACTER*1 UPPER(26)/'A','B','C','D','E','F','G','H','I',
     ;                      'J','K','L','M','N','O','P','Q','R',
     ;                      'S','T','U','V','W','X','Y','Z'/
C
C ------------------------------------------------------------------
C
C     if the string is empty there is nothing to do
      IF(LS.LE.0) RETURN
C
C     translate each character
      DO 1 K=1,LS
           DO 2 L=1,26
                IF(STRING(K).NE.LOWER(L)) GO TO 2
C
C               a lower case letter was found; translate it
                STRING(K)=UPPER(L)
                GO TO 1
    2      CONTINUE
    1 CONTINUE
      RETURN
      END
