C
Code by Michael Kupferschmid
C
      SUBROUTINE GETRGS(CARGS,L)
C     This routine concatenates the run-line arguments.
C
C     variable  meaning
C     --------  -------
C     ARG       an argument as a word
C     CARG      ARG as characters
C     CARGS     the concatenation as characters 
C     GETARG    system routine gets specified argument
C     I         index on the arguments
C     IARGC     function returns number of run-line parameters
C     K         index on characters of CARG
C     L         index on characters of CARGS
C     LENGTH    function returns index of last nonblank in a string
C     NPAR      number of run-line parameters given
C
C     formal parameter
      CHARACTER*1 CARGS(*)
C
C     local variables
      CHARACTER*256 ARG
      CHARACTER*1 CARG(256)
      EQUIVALENCE(ARG,CARG)
C
C ------------------------------------------------------------------
C
C     find out how many parameters there are
      L=0
      NPAR=IARGC()
      IF(NPAR.EQ.0) THEN 
         RETURN
      ENDIF
C
C     concatenate them into the return string
      DO 1 I=1,NPAR
           CALL GETARG(I,ARG)
           DO 2 K=1,LENGTH(CARG,256)
                L=L+1
                IF(L.EQ.256) RETURN
                CARGS(L)=CARG(K)
    2      CONTINUE
    1 CONTINUE
      RETURN
      END
