C
Code by Michael Kupferschmid
C
      FUNCTION IROUND(R)
C     This routine returns R rounded to the nearest integer.
C
C     variable  meaning
C     --------  -------
C     IFIX      Fortran function chops to integer
C     R         real value to be rounded
C     SNGL      Fortran function returns REAL*4 for REAL*8
C
      REAL*8 R
C
C ------------------------------------------------------------------
C
      IF(R.GT.0.D0) THEN
         IROUND=IFIX(SNGL(R)+0.5)
      ELSE
         IROUND=IFIX(SNGL(R)-0.5)
      ENDIF
      RETURN
      END
