C
Code by Michael Kupferschmid
C
      FUNCTION LENGTH(TEXT,LT)
C     This routine returns the index of the last nonblank in TEXT.
C
C     variable  meaning
C     --------  -------
C     K         index on the characters of TEXT
C     LT        length of TEXT
C     TEXT      the string whose length is to be found
C
      CHARACTER*1 TEXT(LT)
C
C ------------------------------------------------------------------
C
C     if there are no characters in the string its length is zero
      LENGTH=0
      IF(LT.LT.1) RETURN
C
C     examine characters right-to-left till finding first nonblank
      DO 1 K=1,LT
           LENGTH=LT-K+1
           IF(TEXT(LENGTH).NE.' ') RETURN
    1 CONTINUE
C     they were all blank
      LENGTH=0
      RETURN
      END
