C 
Code by Michael Kupferschmid
C 
      SUBROUTINE PACKL(STRING,LS) 
C     This routine removes leading and embedded blanks from STRING.
C 
C     variable  quantity 
C     --------  -------- 
C     I         index on the original characters of STRING 
C     J         index on the shifted characters of STRING 
C     LS        number of characters in STRING 
C     STRING    character string to be left-packed 
C 
      CHARACTER*1 STRING(LS)
C 
C ------------------------------------------------------------------
C
C     if the string is empty there is nothing to do
      IF(LS.LE.0) RETURN
C 
C     copy the nonblank characters to the left 
      J=0 
      DO 1 I=1,LS 
           IF(STRING(I).EQ.' ') GO TO 1 
           J=J+1 
           STRING(J)=STRING(I) 
    1 CONTINUE 
C 
C     cover the unused spaces with blanks 
      IF(J.EQ.LS) RETURN 
      DO 2 I=J+1,LS 
           STRING(I)=' ' 
    2 CONTINUE 
      RETURN 
      END 
