C
Code by Michael Kupferschmid
C
      FUNCTION TPV2R8(TPV,L)
C     This routine returns the REAL*8 value corresponding to TPV.
C
C     variable  meaning
C     --------  -------
C     DFLOAT    Fortran function gives REAL*8 for INTEGER*4
C     L         number of small things in a big one
C     TPV       the two-part value to be converted to REAL*8
C
      REAL*8 TPV2R8
      INTEGER*4 TPV(2)
C
C ------------------------------------------------------------------
C
      TPV2R8=DFLOAT(TPV(1)) + DFLOAT(TPV(2))/DFLOAT(L)
      RETURN
      END
