C
Code by Michael Kupferschmid
C
      SUBROUTINE TPVSUB(A,B,L, DIFF)
C     This routine finds the difference DIFF=A-B of two-part values.
C
C     variable  meaning
C     --------  -------
C     A         the minuend two-part value 
C     B         the subtrahend two-part value 
C     DIFF      the difference two-part value A-B
C     L         number of small things in a big one
C     TPVNML    routine normalizes a two-part value
C
      INTEGER*4 A(2),B(2),DIFF(2)
C
C ------------------------------------------------------------------
C
C     normalize to guard against overflow in the smalls
      CALL TPVNML(A,L)
      CALL TPVNML(B,L) 
C
C     subtract the pieces
      DIFF(1)=A(1)-B(1)
      DIFF(2)=A(2)-B(2)
C
C     normalize the result 
      CALL TPVNML(DIFF,L)
      RETURN
      END
